Name:			os-net-config
Version:		5.0.0
Release:		6%{?dist}
Summary:		Host network configuration tool

License:		ASL 2.0
URL:			http://pypi.python.org/pypi/%{name}
Source0:		http://tarballs.openstack.org/%{name}/%{name}-%{version}.tar.gz

BuildArch:	noarch
BuildRequires:	python2-setuptools
BuildRequires:	python2-devel
BuildRequires:	python2-pbr
BuildRequires:	python2-sphinx
BuildRequires:	python2-oslo-sphinx

Requires:	python2-pbr
Requires:	python2-setuptools
Requires:	python2-anyjson
Requires:	python2-babel
Requires:	python2-eventlet
Requires:	python2-oslo-concurrency
Requires:	python2-oslo-config
Requires:	python2-oslo-utils
Requires:	python2-netaddr
Requires:	python2-iso8601
Requires:	python2-six >= 1.5.0
Requires:	initscripts
Requires:	python2-pyyaml

%description
Host network configuration tool for OpenStack.

%prep
%setup -q -n %{name}-%{version}

%build
%{__python2} setup.py build
%{__python2} setup.py build_sphinx

%install
%{__python2} setup.py install -O1 --skip-build --root %{buildroot}

%files
%doc README.rst
%doc LICENSE
%doc doc/build/html
%{_bindir}/os-net-config
%{python2_sitelib}/os_net_config*


%changelog
* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 5.0.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Thu Mar 01 2018 Iryna Shcherbina <ishcherb@redhat.com> - 5.0.0-5
- Update Python 2 dependency declarations to new packaging standards
  (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)

* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 5.0.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 5.0.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 5.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Oct 06 2016 James Slagle <jslagle@redhat.com> - 5.0.0-1
- Update to 5.0.0-1

* Wed Oct 05 2016 James Slagle <jslagle@redhat.com> - 0.2.4-1
- Update to 0.2.4
- Remove requires on python-argparse

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.5-5
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.5-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Oct 20 2015 James Slagle <jslagle@redhat.com> 0.1.5-3
- Add Requires: python-pbr

* Tue Oct 20 2015 James Slagle <jslagle@redhat.com> 0.1.5-1
- Update to upstream 0.1.5

* Fri Feb 13 2015 Ben Nemec <bnemec@redhat.com> - 0.1.1-3
- Fix BuildRequires in the srpm

* Fri Feb 06 2015 Ben Nemec <bnemec@redhat.com> - 0.1.1-2
- Cleanups from package review

* Mon Dec 22 2014 Ben Nemec <bnemec@redhat.com> - 0.1.1-1
- Initial Fedora package
